%global _empty_manifest_terminate_build 0
Name:		python-taskflow
Version:	4.5.0
Release:	1
Summary:	Taskflow structured state management library.
License:	Apache-2.0
URL:		https://github.com/openstack/taskflow
Source0:	https://files.pythonhosted.org/packages/b0/5f/47fe65a6d42863997b30d49182dfa54d3358411fb8f196a894a85ec9bbca/taskflow-4.5.0.tar.gz
BuildArch:	noarch

Requires:	python3-automaton
Requires:	python3-cachetools
Requires:	python3-fasteners
Requires:	python3-futurist
Requires:	python3-jsonschema
Requires:	python3-networkx
Requires:	python3-pbr
Requires:	python3-pydot
Requires:	python3-six
Requires:	python3-stevedore
Requires:	python3-tenacity
Requires:	python3-PyMySQL
Requires:	python3-SQLAlchemy
Requires:	python3-SQLAlchemy-Utils
Requires:	python3-alembic
Requires:	python3-psycopg2
Requires:	python3-eventlet
Requires:	python3-redis
Requires:	python3-hacking
Requires:	python3-mock
Requires:	python3-oslotest
Requires:	python3-pydotplus
Requires:	python3-stestr
Requires:	python3-testscenarios
Requires:	python3-testtools
Requires:	python3-kombu
Requires:	python3-kazoo
Requires:	python3-zake

%description
A library to complete workflows/tasks in HA manner


%package -n python3-taskflow
Summary:	Taskflow structured state management library.
Provides:	python-taskflow
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-taskflow
A library to complete workflows/tasks in HA manner


%package help
Summary:	Development documents and examples for taskflow
Provides:	python3-taskflow-doc
%description help
A library to complete workflows/tasks in HA manner


%prep
%autosetup -n taskflow-4.5.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-taskflow -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Dec 31 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
